找回密码
 立即注册

QQ登录

只需一步,快速开始

扫一扫,访问微社区

查看: 717|回复: 0

[其他] Appending a pop menu

[复制链接]

已领礼包: 40个

财富等级: 招财进宝

发表于 2021-1-11 20:13:05 | 显示全部楼层 |阅读模式

马上注册,结交更多好友,享用更多功能,让你轻松玩转社区。

您需要 登录 才可以下载或查看,没有账号?立即注册

×

问题:
Is there a way to tag a new pulldown menu at the end? For example, at the first
available position instead of at a fixed position? How do I know what this
position is so that I can swap the menus?

解答:
You can use the following function to find the last position on a pop menu:


  1. (defun lastmenu(/ pos)
  2. (setq pos 1)
  3. (while (menucmd (strcat "P" (itoa pos) ".1=?"))
  4. (setq pos (1+ pos))
  5. )
  6. pos
  7. )

  8. (defun c:placemenu()
  9. (menucmd (strcat "P" (itoa (1- (lastmenu))) "+=mymenu.pop2"))
  10. )

It is recommended you place the menu before the help menu instead of at the very
last position.

论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

QQ|申请友链|Archiver|手机版|小黑屋|辽公网安备|晓东CAD家园 ( 辽ICP备15016793号 )

GMT+8, 2024-5-25 15:04 , Processed in 0.310884 second(s), 25 queries , Gzip On.

Powered by Discuz! X3.5

© 2001-2024 Discuz! Team.

快速回复 返回顶部 返回列表